
def generate_random_sentiment_analysis(text):
    from transformers import pipeline

    # Load a pre-trained sentiment analysis pipeline
    nlp = pipeline("sentiment-analysis")

    # Perform sentiment analysis on the given text
    result = nlp(text)

    # Return the sentiment and confidence score
    return result[0]['label'], result[0]['score']



